app:
  description: 考陪练系统专用
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: advanced-chat
  name: 恩喜-04-与课程对话-考陪练
  use_icon_as_answer_icon: false
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/openrouter:0.0.22@99ef4cf4e08292c28806abaf24f295ed66e04e4b9e74385b487fd0767c7f56df
    version: null
kind: app
version: 0.5.0
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_batch_limit: 10
        image_file_size_limit: 10
        single_chunk_attachment_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        sourceType: llm
        targetType: answer
      id: llm-answer
      source: llm
      sourceHandle: source
      target: answer
      targetHandle: target
      type: custom
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: start
        targetType: tool
      id: 1760457791548-source-1766637272902-target
      source: '1760457791548'
      sourceHandle: source
      target: '1766637272902'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: tool
        targetType: llm
      id: 1766637272902-source-llm-target
      source: '1766637272902'
      sourceHandle: source
      target: llm
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        selected: false
        title: 开始
        type: start
        variables:
        - default: ''
          hint: ''
          label: course_id
          max_length: 256
          options: []
          placeholder: ''
          required: true
          type: text-input
          variable: course_id
      height: 109
      id: '1760457791548'
      position:
        x: 80
        y: 282
      positionAbsolute:
        x: 80
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        context:
          enabled: false
          variable_selector: []
        memory:
          query_prompt_template: '{{#sys.query#}}'
          role_prefix:
            assistant: ''
            user: ''
          window:
            enabled: true
            size: 10
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: google/gemini-2.5-flash
          provider: langgenius/openrouter/openrouter
        prompt_template:
        - id: b5d31fea-e978-4229-81ed-ac3fe42f2f18
          role: system
          text: '你是知识拆解专家，精通以下知识库（课程）内容。请根据用户的问题，从知识库中找到最相关的信息，进行深入分析后，用简洁清晰的语言回答用户。为用户提供与课程对话的服务。


            回答要求：

            1. 直接针对问题核心，避免冗长铺垫

            2. 使用通俗易懂的语言，必要时举例说明

            3. 突出关键要点，帮助用户快速理解

            4. 如果知识库中没有相关内容，请如实告知


            知识库：

            {{#1766637272902.text#}}'
        selected: false
        title: LLM
        type: llm
        vision:
          enabled: false
      height: 88
      id: llm
      position:
        x: 980
        y: 282
      positionAbsolute:
        x: 980
        y: 282
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        answer: '{{#llm.text#}}'
        selected: false
        title: 直接回复
        type: answer
        variables: []
      height: 103
      id: answer
      position:
        x: 1280
        y: 282
      positionAbsolute:
        x: 1280
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        is_team_authorization: true
        paramSchemas:
        - auto_generate: null
          default: null
          form: llm
          human_description:
            en_US: ''
            ja_JP: ''
            pt_BR: ''
            zh_Hans: ''
          label:
            en_US: SQL 语句
            ja_JP: SQL 语句
            pt_BR: SQL 语句
            zh_Hans: SQL 语句
          llm_description: ''
          max: null
          min: null
          name: sql
          options: []
          placeholder:
            en_US: ''
            ja_JP: ''
            pt_BR: ''
            zh_Hans: ''
          precision: null
          required: true
          scope: null
          template: null
          type: string
        params:
          sql: ''
        plugin_id: null
        plugin_unique_identifier: null
        provider_icon:
          background: '#FFEAD5'
          content: 🤖
        provider_id: 2e7e915c-606c-4230-b4bd-ff95efb72f39
        provider_name: 恩喜-00-SQL 执行器-考陪练专用
        provider_type: workflow
        selected: false
        title: 恩喜-00-SQL 执行器-考陪练专用
        tool_configurations: {}
        tool_description: 考陪练系统专用的 sql 执行器
        tool_label: 恩喜-00-SQL 执行器-考陪练专用
        tool_name: SQL_executor_enxi
        tool_node_version: '2'
        tool_parameters:
          sql:
            type: mixed
            value: SELECT kp.name, kp.description FROM knowledge_points kp INNER JOIN
              course_materials cm ON kp.material_id = cm.id WHERE kp.course_id = {{#1760457791548.course_id#}}
              AND kp.is_deleted = 0 AND cm.is_deleted = 0 ORDER BY kp.id;
        type: tool
      height: 52
      id: '1766637272902'
      position:
        x: 573.1013773769109
        y: 452.5465761475262
      positionAbsolute:
        x: 573.1013773769109
        y: 452.5465761475262
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    viewport:
      x: 264.91206019696983
      y: 183.58250340914594
      zoom: 0.523860819025226
  rag_pipeline_variables: []
